%define pypi_name Genshi
%define pkg_name  genshi
%define enable_tests 0

Name:           python-%{pkg_name}
Version:        0.7.7
Release:        %mkrel 1
Summary:        Toolkit for stream-based generation of output for the web

Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Genshi
Source0:        %{pypi_source}
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.

%package -n python3-genshi
Summary:        Toolkit for stream-based generation of output for the web
Group:          Development/Python
Requires:	python3-babel
%{?python_provide:%python_provide python3-genshi}

%description -n python3-genshi
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.

%prep
%setup -qn %{pypi_name}-%{version}


find examples -type f | xargs chmod a-x

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files genshi

%check
%if %enable_tests
%{__python3} setup.py test
%endif

%files -n python3-genshi -f %{pyproject_files}
%license COPYING
%doc ChangeLog doc examples README.txt



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.7.7-1.mga9
+ Revision: 1884797
- Make it not noarch anymore
- New version  0.7.7

* Wed Mar 23 2022 umeabot <umeabot> 0.7.5-4.mga9
+ Revision: 1822736
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.7.5-3.mga9
+ Revision: 1775177
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.7.5-2.mga9
+ Revision: 1703475
- rebuild for python 3.9

* Sat Nov 21 2020 guillomovitch <guillomovitch> 0.7.5-1.mga8
+ Revision: 1648104
- new version 0.7.5

* Sun Nov 15 2020 guillomovitch <guillomovitch> 0.7.4-1.mga8
+ Revision: 1646355
- new version 0.7.4

* Sun Feb 16 2020 umeabot <umeabot> 0.7.3-2.mga8
+ Revision: 1535051
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.7.3-1.mga8
+ Revision: 1450715
- new version: 0.7.3

* Wed Sep 18 2019 tv <tv> 0.7.1-2.mga8
+ Revision: 1443378
- make it noarch
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 19 2019 wally <wally> 0.7.1-1.mga7
+ Revision: 1393441
- new version 0.7.1

* Wed Jan 09 2019 shlomif <shlomif> 0.7-14.mga7
+ Revision: 1352937
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.7-13.mga7
+ Revision: 1300483
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 0.7-12.mga7
+ Revision: 1134583
- rebuild for new python

* Fri Feb 12 2016 umeabot <umeabot> 0.7-11.mga6
+ Revision: 958597
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.7-10.mga6
+ Revision: 888989
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.7-9.mga5
+ Revision: 738934
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-8.mga5
+ Revision: 728538
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 688044
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7-6.mga5
+ Revision: 628653
- Rebuild for new Python

* Mon Mar 10 2014 philippem <philippem> 0.7-5.mga5
+ Revision: 601873
- disable test on BS (they are ok on local iurt build)

* Tue Oct 22 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 543592
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-3.mga4
+ Revision: 498657
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 0.7-2.mga4
+ Revision: 493742
- Add Python 3

* Thu Jul 04 2013 philippem <philippem> 0.7-1.mga4
+ Revision: 450192
- Update to 0.7

* Sun Jan 13 2013 umeabot <umeabot> 0.6-3.mga3
+ Revision: 378884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 blino <blino> 0.6-2.mga1
+ Revision: 78026
- imported package python-genshi


* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6-2mdv2011.0
+ Revision: 590975
- rebuild for python-2.7
- drop obsolete %%py_requires macro

* Sun Sep 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-1mdv2011.0
+ Revision: 577726
- update to new version 0.6

* Wed May 05 2010 Funda Wang <fwang@mandriva.org> 0.5.1-4mdv2010.1
+ Revision: 542296
- BR python-setuptools for bug#53946

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-3mdv2010.0
+ Revision: 442125
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2009.1
+ Revision: 323715
- rebuild

* Tue Aug 19 2008 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 273651
- New version 0.5.1

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.5-2mdv2009.0
+ Revision: 269024
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.5-1mdv2009.0
+ Revision: 217248
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.4-1mdv2008.1
+ Revision: 100807
- New release 0.4.4

* Mon Jun 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.1-2mdv2008.0
+ Revision: 40696
- Bump Release
- Fix RPM Group and Encoding bug #31422

* Sun Jun 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 37925
- Add switch python
- Remove noardh
- Import python-genshi

